cmake_minimum_required(VERSION 3.13)
project(appmodules)

set(THIS_DIR ${CMAKE_CURRENT_LIST_DIR})
set(ROOT_DIR ${THIS_DIR}/../../../../..)
set(PROJECT_CPP_DIR ${ROOT_DIR}/cpp)

# Include React Native application cmake to register core TurboModules
set(REACT_ANDROID_DIR ${ROOT_DIR}/node_modules/react-native/ReactAndroid)
include(${REACT_ANDROID_DIR}/cmake-utils/ReactNative-application.cmake)

# Add JSI installer shared cpp sources
target_sources(${CMAKE_PROJECT_NAME} PRIVATE
        ${PROJECT_CPP_DIR}/all.cpp
)

target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE
        "${PROJECT_CPP_DIR}"
)
